[![Build Status](https://travis.ibm.com/bdu/chell-ruby.svg?token=CCLjK5gsaLWyxhCwwcrs&branch=master)](https://travis.ibm.com/bdu/chell=ruby)

# Chell

Ruby client for [Chell](https://github.ibm.com/bdu/chell).

## Installation

Add this line to your application's `Gemfile`:

```ruby
gem "chell"
```

And then execute:

```sh
bundle install
```

Or install it yourself as:

```sh
gem install chell
```

## Usage

```ruby
# To start, create a client
chell = Chell::Client.new(url: "https://chell.example.com/api")

# Retrieve all courses
courses = chell.courses

# Retrieve an existing course
course_id = courses.first[:id]
course = chell.course(course_id)

# Retrieve an existing course's content
version_id = couse[:versions].last[:id]
content = chell.course_content(course_id, version_id)
```

## Development

Start by creating a `chell.env` file based on `chell.env.example`. Then:

*   To run the tests:

    ```sh
    docker-compose run chell-ruby rake spec; docker-compose down
    ```

*   You can also run the following command for an interactive prompt that will
    allow you to experiment.

    ```sh
    docker-compose run chell-ruby bin/console; docker-compose down
    ```

*   For added flexibility, you can use Bash.

    ```sh
    docker-compose run --service-ports chell-ruby bash; docker-compose down
    ```

## License

Please refer to [LICENSE](LICENSE).

## Authors

*   Partner Ecosystem Team, IBM Digital Business Group <mailto:imcloud@ca.ibm.com>
